> ## Documentation Index
> Fetch the complete documentation index at: https://docs.support.onclarity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a voice call



## OpenAPI

````yaml /api-reference/support-openapi.json post /api/integration/ai_service/ticket/{ticket_id}/voice_handoff
openapi: 3.1.0
info:
  title: Clarity Support API
  version: '1.0'
  description: Tickets, customers, messages, the knowledge base, and webhooks.
servers:
  - url: https://back.leap.onclarity.com
security:
  - organizationApiKey: []
tags:
  - name: AI service
    description: >-
      Hand a customer conversation to your Clarity AI agent from your own app or
      backend.
  - name: Messages
    description: Reply to customers on their ticket's channel and add private notes.
  - name: Customers
    description: Create, update, and look up customers and their custom attributes.
  - name: Tickets
    description: >-
      Change a ticket's status, assignee, category, and tags, and list the
      values they take.
  - name: Knowledge base
    description: Manage the articles your AI agents answer from.
  - name: Webhooks
    description: Subscribe your endpoints to events in your organization.
paths:
  /api/integration/ai_service/ticket/{ticket_id}/voice_handoff:
    post:
      tags:
        - AI service
      summary: Request a voice call
      operationId: ApiIntegrationAiServiceTicketTicketIdVoiceHandoffRequestVoiceCall
      parameters:
        - name: ticket_id
          in: path
          schema:
            type: integer
          required: true
          deprecated: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceHandoffRequest'
        required: true
      responses:
        '200':
          description: Request fulfilled, document follows
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceHandoffResponse'
        '400':
          description: Bad request syntax or unsupported method
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KTSErrorResponse'
        '500':
          description: Server got itself in trouble
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KTSErrorResponse'
      deprecated: false
components:
  schemas:
    VoiceHandoffRequest:
      properties:
        phone:
          type: string
          maxLength: 64
          minLength: 1
        brief:
          $ref: '#/components/schemas/HandoffBrief'
      type: object
      required:
        - phone
      title: VoiceHandoffRequest
    VoiceHandoffResponse:
      properties:
        status:
          type: string
          enum:
            - dialing
            - refused
        reason:
          type:
            - 'null'
            - string
          enum:
            - handoff_limit
            - invalid_number
            - no_tool_config
            - voice_unavailable
            - agent_not_published
            - no_outbound_caller_id
            - call_in_progress
            - null
        message:
          type: string
      type: object
      required:
        - message
        - status
      title: VoiceHandoffResponse
    KTSErrorResponse:
      properties:
        status:
          type: string
          default: error
        code:
          type: string
        message:
          oneOf:
            - type: string
            - type: 'null'
        extra:
          oneOf:
            - additionalProperties: {}
              type: object
            - items: {}
              type: array
            - type: 'null'
      type: object
      required:
        - code
      title: KTSErrorResponse
    HandoffBrief:
      properties:
        reason:
          type: string
          default: ''
        summary:
          type: string
          default: ''
        key_facts:
          items:
            $ref: '#/components/schemas/BriefKeyFact'
          type: array
        commitments:
          items:
            type: string
          type: array
        open_question:
          type: string
          default: ''
        opening_line:
          oneOf:
            - type: string
            - type: 'null'
        language:
          oneOf:
            - type: string
            - type: 'null'
        caller_verified:
          type:
            - 'null'
            - string
          enum:
            - verified
            - not_verified
            - exhausted
            - null
        customer:
          oneOf:
            - $ref: '#/components/schemas/BriefCustomer'
            - type: 'null'
        source:
          oneOf:
            - $ref: '#/components/schemas/BriefSource'
            - type: 'null'
      type: object
      required: []
      title: HandoffBrief
    BriefKeyFact:
      properties:
        label:
          type: string
          default: ''
        value:
          type: string
          default: ''
      type: object
      required: []
      title: BriefKeyFact
    BriefCustomer:
      properties:
        name:
          oneOf:
            - type: string
            - type: 'null'
        phone:
          oneOf:
            - type: string
            - type: 'null'
        email:
          oneOf:
            - type: string
            - type: 'null'
        customer_id:
          oneOf:
            - type: string
            - type: 'null'
      type: object
      required: []
      title: BriefCustomer
    BriefSource:
      properties:
        channel:
          oneOf:
            - type: string
            - type: 'null'
        agent_name:
          oneOf:
            - type: string
            - type: 'null'
        voice_conversation_id:
          oneOf:
            - type: string
            - type: 'null'
        ab_ticket_id:
          oneOf:
            - type: string
            - type: 'null'
        link:
          oneOf:
            - type: string
            - type: 'null'
      type: object
      required: []
      title: BriefSource
  securitySchemes:
    organizationApiKey:
      type: http
      scheme: bearer
      description: >-
        Your organization API key (it starts with `anek_org_`). The same key
        works on the Voice API and the Support API. See
        [Authentication](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.